const {
    UserModel,
    JobModel
} = global.config

module.exports = async (ctx) => {
    let data = ctx.update.callback_query.data;
    let user = await UserModel.findByPk(ctx.from.id);
    let job = null
    switch(data){
        case `job_1`:
            job = await JobModel.findByPk(1);
            if (user.level < job.level) {
                return await ctx.reply(`❕ У вас не хватает уровня для этой работы.`)
            }
            if (user.job == 0) {
                user.job = 1
                user.save()
                return await ctx.reply(`ℹ️ Вы устроились на работу дворником.\nВаш оклад: ₽${job.salary}\nПриступайте к работе командой "Работать"`)
            }
            return await ctx.reply(`❕ Вы уже устроены на другую работу`)
        case `job_2`:
            job = await JobModel.findByPk(2);
            if (user.level < job.level) {
                return await ctx.reply(`❕ У вас не хватает уровня для этой работы.`)
            }
            if (user.job == 0) {
                user.job = 2
                user.save()
                return await ctx.reply(`ℹ️ Вы устроились на работу промоутером. \nВаш оклад: ₽${job.salary}\nПриступайте к работе командой "Работать"`)
            }
            return await ctx.reply(`❕ Вы уже устроены на другую работу`)
        case `job_3`:
            job = await JobModel.findByPk(3);
            if (user.level < job.level) {
                return await ctx.reply(`❕ У вас не хватает уровня для этой работы.`)
            }
            if (user.job == 0) {
                user.job = 3
                user.save()
                return await ctx.reply(`ℹ️ Вы устроились на работу официантом. \nВаш оклад: ₽${job.salary}\nПриступайте к работе командой "Работать"`)
            }
            return await ctx.reply(`❕ Вы уже устроены на другую работу`)
        case `job_4`:
            job = await JobModel.findByPk(4);
            if (user.level < job.level) {
                return await ctx.reply(`❕ У вас не хватает уровня для этой работы.`)
            }
            if (user.job == 0) {
                user.job = 4
                user.save()
                return await ctx.reply(`ℹ️ Вы устроились на работу барменом. \nВаш оклад: ₽${job.salary}\nПриступайте к работе командой "Работать"`)
            }
            return await ctx.reply(`❕ Вы уже устроены на другую работу`)
        case `job_5`:
            job = await JobModel.findByPk(5);
            if (user.level < job.level) {
                return await ctx.reply(`❕ У вас не хватает уровня для этой работы.`)
            }
            if (user.job == 0) {
                user.job = 5
                user.save()
                return await ctx.reply(`❕ Вы устроились на работу кассиром. \nВаш оклад: ₽${job.salary}\nПриступайте к работе командой "Работать"`)
            }
            return await ctx.reply(`ℹ️ Вы уже устроены на другую работу`)
        case `job_6`:
            job = await JobModel.findByPk(6);
            if (user.level < job.level) {
                return await ctx.reply(`❕ У вас не хватает уровня для этой работы.`)
            }
            if (user.job == 0) {
                user.job = 6
                user.save()
                return await ctx.reply(`ℹ️ Вы устроились на работу в ПВЗ Дикие Ягоды. \nВаш оклад: ₽${job.salary}\nПриступайте к работе командой "Работать"`)
            }
            return await ctx.reply(`❕ Вы уже устроены на другую работу`)
        case `job_7`:
            job = await JobModel.findByPk(7);
            if (user.level < job.level) {
                return await ctx.reply(`❕ У вас не хватает уровня для этой работы.`)
            }
            if (user.job == 0) {
                user.job = 7
                user.save()
                return await ctx.reply(`ℹ️ Вы устроились на работу слесарем. \nВаш оклад: ₽${job.salary}\nПриступайте к работе командой "Работать"`)
            }
            return await ctx.reply(`❕ Вы уже устроены на другую работу`)
        case `job_leave`:
            if (user.job != 0) {
                user.job = 0
                user.save()
                return await ctx.reply(`ℹ️ Теперь вы безработный.`)
            }
            return await ctx.reply(`❕ Вы итак безработный.`)
    }
}